/*
 * ============LICENSE_START=======================================================
 * DCAEGEN2-SERVICES-SDK
 * ================================================================================
 * Copyright (C) 2019 Nokia. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

/**
 * <p>High Volume VES Collector client library for producers.</p>
 *
 * <p>This package contains API description for the library. Refer to
 * {@link org.onap.dcaegen2.services.sdk.services.hvves.client.producer.api.HvVesProducerFactory} and
 * {@link org.onap.dcaegen2.services.sdk.services.hvves.client.producer.api.HvVesProducer} for the API description</p>
 *
 * <p>
 *     In order for this to work you must have implementation JAR on the class path. Sample Maven usage:
 * </p>
 *
 * <pre>
 * {@code
 *      <dependency>
 *          <groupId>org.onap.dcaegen2.services.sdk</groupId>
 *          <artifactId>hvvesclient-producer-api</artifactId>
 *          <version>1.2.1</version>
 *      </dependency>
 *      <dependency>
 *          <groupId>org.onap.dcaegen2.services.sdk</groupId>
 *          <artifactId>hvvesclient-producer-impl</artifactId>
 *          <version>1.2.1</version>
 *          <scope>runtime</scope>
 *      </dependency>
 * }
 * </pre>
 *
 * @author <a href="mailto:piotr.jaszczyk@nokia.com">Piotr Jaszczyk</a>
 * @since 1.1.1
 */
package org.onap.dcaegen2.services.sdk.services.hvves.client.producer.api;
